package com.mosty.common.task.constant.enums;

import lombok.AllArgsConstructor;

/**
 *  执行状态
 * @author liyan
 * @date 2022/2/16 11:06 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum TaskLogStatusEnum {

    /** 0未查看 */
    NOTVIEWED(0, "下发"),

    /** 1。已查看 */
    VIEWED(1, "查看"),
    /** 2。完成 */
    FINISH(2, "完成");

    /** 编码 */
    public final Integer code;

    /** 描述 */
    public final String desc;
    /**
     * 根据编码匹配菜单类型
     * @param code 编码
     * @return 菜单类型枚举
     */
    public static TaskLogStatusEnum valueOf(Integer code) {
        if (code == null) {
            return null;
        }
        for (TaskLogStatusEnum taskTypeEnum : TaskLogStatusEnum.values()) {
            if (taskTypeEnum.code.equals(code)) {
                return taskTypeEnum;
            }
        }
        return null;
    }
}
